import processing.serial.*;

Boton bRojo, bAzul, bVerde, bNegro;

int xC, yC, r;

Serial datosArduino;
String datosRecibidos;

void setup(){
  size(600, 400);
  bRojo = new Boton(50, 50, 50, 50, color(250, 0, 0), color(250, 0, 0));
  bVerde = new Boton(50, 120, 50, 50, color(0, 250, 0), color(0, 250, 0));
  bAzul = new Boton(50, 190, 50, 50, color(0, 0, 250), color(0, 0, 250));
  bNegro = new Boton(50, 260, 50, 50, color(0), color(0));
  
  //creamos la comunicación serial
  datosArduino = new Serial(this, Serial.list()[3], 9600);
  
  //borrar el buffer de comunicación
  datosArduino.clear();
  
}


void draw(){
  background(255);
  bRojo.show();
  bVerde.show();
  bAzul.show();
  bNegro.show();
}

void mouseReleased(){
  if (bRojo.click()) datosArduino.write(1);
  if (bVerde.click()) datosArduino.write(2);
  if (bAzul.click()) datosArduino.write(3);
  if (bNegro.click()) datosArduino.write(0);
}
