Boton perilla;
int xP, yP, r;
int xMin, xMax, xCentro;
color cOn, cOff;
int dx, dy;

PFont tipoLetra;


void setup(){
  size(600, 200);
  
  r = 35;
  xMin = 50;
  xMax = width-xMin;
  xCentro = width/2;
  
  xP = xCentro;
  yP = height/2;
  
  cOff = color(#44A2C6);
  cOn = color(#FC7945);
  
  perilla = new Boton(xP, yP, r, cOff, cOn);
  
  tipoLetra = loadFont("ArialMT-18.vlw");
  
}


void draw(){
  background(255);
  cursor(ARROW);
  
  //canal de movimiento de la perilla
  stroke(130);
  line(xMin, yP, xMax, yP);
  
  //perilla
  stroke(0);
  perilla.show();
  
  textAlign(CENTER);
  textFont(tipoLetra);
  fill(#FC7945);
  text(perilla.x, perilla.x, perilla.y-r-10);
  
}

void mousePressed(){
  if (perilla.click()){
    dx = mouseX - perilla.x;
    dy = mouseY - perilla.y;
  }
}

void mouseDragged(){
  xP = mouseX - dx;
  
  if (xP <= xMin) xP = xMin;
  if (xP >= xMax) xP = xMax;
  
  perilla.x = xP;
}
